#!/bin/sh
# link in all fonts from a HPUX system and let pstill sort the good ones out 
# may not work on some distributions if X11 is not installed
# see also www.pstill.com for for infos on fonts

cd PSFonts 2> /dev/null

echo "- Linking fonts - this may not work on some distributions or if X11 is"
echo "- not installed. Source is /usr/lib/X11/fonts/type1.st/typefaces/*"
echo "- Starting in 5 seconds..."
sleep 5
for file in /usr/lib/X11/fonts/type1.st/typefaces/*
do
newname=`pwd`/`basename $file`
echo $file
ln -s $file $newname
done
echo "- End of linking, you may copy additional fonts to this directory later"
echo "- PStill will now install the fonts... stand by"
sleep 3
cd ..
./pstill -v -I

